*( TBLCHECK.CMD--Check table integrity.)
CLS
SET MESSAGES OFF
SET ERROR MESSAGES OFF
DEBUG SET MESSAGES ON
DEBUG SET ERROR MESSAGES ON
SET VAR vcnt INTEGER = 0, vtables TEXT
WRITE 'Press [Enter] to choose the tables +
you want to check. Press [F2] when finished.'
CHOOSE vtables FROM #TABLES CHKBOX
IF vtables IN ('[Esc]','HELP') +
  OR vtables IS NULL THEN
  WRITE 'You did not choose a table.'
  QUIT
ENDIF
WHILE #PI IS NOT NULL THEN
  SET VAR vcnt = (.vcnt + 1)
  SET VAR vtblpick = (SSUB(.vtables,.vcnt))
  IF vtblpick IS NULL THEN; BREAK; ENDIF
  COMPUTE v1 AS COUNT (1) +
    FROM &vtblpick
  COMPUTE v2 AS ROWS FROM &vtblpick
  IF v1 <> .v2 THEN
    WRITE .vtblpick 'may have some errors.'
    WRITE '  Database file 2 counts' +
      .v1 'rows,'
    WRITE '  but file 1 says there are' +
      .v2 'rows.'
  ELSE
    WRITE .vtblpick 'looks good.'
  ENDIF
ENDWHILE
WRITE 'Finished checking tables.'
CLEAR VAR v1, v2, vcnt, vtblpick, vtables
RETURN
